Order history
Access historical order data with filters for asset, side, and time.
Access historical order data, for one currency. Same default and isolation as Open orders: trade_currency defaults to USDT when omitted, never mixed, each order tagged.
Request
# USDT (default)
curl -X GET "https://trade.mudrex.com/fapi/v1/futures/orders/history?limit=2" \
-H "X-Authentication: your-secret-key"# INR
curl -X GET "https://trade.mudrex.com/fapi/v1/futures/orders/history?limit=5&trade_currency=INR" \
-H "X-Authentication: your-secret-key"Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
trade_currency | string | No | USDT or INR. Defaults to USDT. One currency per call. |
limit | number | No | Maximum number of records to return (default: 20). |
Response
Status: 200 OK
{
"success": true,
"data": [
{
"created_at": "2026-01-28T16:00:01Z",
"actual_amount": 7037.79,
"quantity": 240,
"filled_quantity": 240,
"price": 0.30728,
"filled_price": 0.30546,
"leverage": 50,
"hedge_rate": 96,
"order_type": "SHORT",
"trigger_type": "MARKET",
"trade_currency": "INR",
"status": "FILLED",
"id": "019c0555-6ff2-76f0-8203-a41ee05653a7",
"symbol": "SOMIUSDT"
}
]
}Response fields (additive for INR)
| Field | Description |
|---|---|
trade_currency | Currency of the order: USDT or INR. |
hedge_rate | INR/USDT conversion rate (INR orders). |
actual_amountis in the order's currency;price/filled_priceare USDT;quantityis the base asset. Other fields (created_at,filled_quantity,leverage,order_type,trigger_type,status,id,symbol) are unchanged.
